/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXPathEvaluator_H___INT_
#define __GdomXPathEvaluator_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XPathEvaluator.h"
namespace WebCore {
    gpointer toGDOM(XPathEvaluator* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXPathEvaluator : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_X_PATH_EVALUATOR; }
    GDOMXPathEvaluator(PassRefPtr<WebCore::XPathEvaluator> impl);
    virtual ~GDOMXPathEvaluator();
    WebCore::XPathEvaluator* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XPathEvaluator> m_impl;
};
G_END_DECLS

#endif /* __GdomXPathEvaluator_H___INT_*/
